<template>
  <div class="ob-datetime-mobile__modal">
    <div class="ob-datetime-mobile__header">
      <i
        class="icon chevron-left"
        @click="$emit('close', null)"
      />
      Выберите дату
    </div>
    <div class="ob-datetime-mobile__container">
      <Datepicker
        :format="'dd.MM.yyyy'"
        :value="isDate"
        :inline="true"
        :full-month-name="true"
        :monday-first="true"
        :disabled-dates="disabledDates"
        :language="ru"
        @selected="selectDate"
      />
    </div>
  </div>
</template>

<script>
import Datepicker from 'vuejs-datepicker'
import { ru } from 'vuejs-datepicker/dist/locale'

export default {
  name: 'ModalDate',
  components: {
    Datepicker
  },
  props: {
    date: {
      type: String,
      default: ''
    },
    disabledDates: {
      type: Object,
      default: () => ({
        to: '',
        from: ''
      })
    }
  },
  data () {
    return {
      ru: ru
    }
  },
  computed: {
    isDate () {
      if (this.date) {
        const date = this.date.split('.')
        return new Date(Number(date[2]), (Number(date[1]) - 1), Number(date[0]))
      }
      return ''
    }
  },
  methods: {
    selectDate ($event) {
      this.$emit('close', $event)
    }
  }
}
</script>

<style lang="scss">
  .ob-datetime-mobile__container {
    .vdp-datepicker {
      margin-top: 40px;

      &__calendar {
        width: auto;
        border: none;

        .day {
          line-height: 20px;
          padding: 8px;
          border-radius: 10px;

          &-header {
            font-size: 14px !important;
            text-transform: uppercase;
            color: $gray-slate;
          }

          &__month_btn {
            font-size: 16px;
          }

          &.disabled {
            color: $gray-window;
            background: $color-white-lilac;
            border-radius: 3px;
          }
        }
      }
    }
  }
</style>
